#Variables

$siteURL = "https://contoso.sharepoint.com/sites/template"
$user = "user@contoso.onmicrosoft.com"

$path = [regex]::Replace($MyInvocation.MyCommand.Definition, "\\applyTemplate.ps1", "")
cd $path

Connect-PnPOnline -Url $siteURL

#Apply template without content

Apply-PnPProvisioningTemplate -path carFleet.xml 


#Add user fields to the list

$BMW1 = ("{0}/Shared Documents/Cars/BMW520i.png" -f $siteURL)
$BMW2 = ("{0}/Shared Documents/Cars/BMWi3.png" -f $siteURL)
$Tesla = ("{0}/Shared Documents/Cars/Tesla3.png" -f $siteURL)

Add-PnPListItem -List "Car Fleet" -Values @{"Title"="BMW"; "Model"="520i"; "UnitNumber"="12"; "Year"="2016"; "Color"="Black"; "VIN"="BW09846M4893725G"; "Assignedto"=$user; "CarPhoto"=$BMW1; "Odometer"="12976"; "Plate_x0020_Number"="33-19-AC"}

Add-PnPListItem -List "Car Fleet" -Values @{"Title"="BMW"; "Model"="i3 Rex"; "UnitNumber"="14"; "Year"="2018"; "Color"="Blue"; "VIN"="BW873655J95874567KLB"; "CarPhoto"=$BMW2; "Odometer"="8765"; "Plate_x0020_Number"="UD-71-60"}

Add-PnPListItem -List "Car Fleet" -Values @{"Title"="Tesla"; "Model"="3"; "UnitNumber"="22"; "Year"="2019"; "Color"="Red"; "VIN"="TSL9387542567HF874529"; "CarPhoto"=$Tesla; "Odometer"="3411"; "Plate_x0020_Number"="98-89-NN"}